body {
    width: 100vw;
    font-family: sans-serif;
    overflow-x: hidden;
}
.container {
    width: 99vw;
    height: 95vh;
    background-color: white;
    display: flex;
    flex-flow: row wrap;
}

textarea:focus, input:focus{
    outline: none;
}
.channels-section {
    width: 20%;
    height: 100%;
    background-color: cadetblue;
}
.channels-section .channels-name {
    width: 90%;
    margin-left: 20px;
    height: 80%;
    color: #003f45;
}
.channels-section .channels-name .channels-list {
    color: #003f45;
    font-size: 1.2rem;
    text-transform: capitalize;
    padding: 5px;
    height: 400px;
    overflow: auto;
}
.channels-section .channels-name .channels-list div {
    margin-bottom: 10px;
}
.channels-section .channels-name .channels-list .channel-name-select{
    padding-left: 10px;
}
.channels-section .channels-name .channels-list .channel-name-select:hover{
    box-shadow: 1px 1px 4px rgb(0, 217, 255), -1px -1px 4px rgb(0, 217, 255);
    border-left: 0;
    border-radius: 50px;
}

.channels-section .channels-add {
    display: flex;
    flex-direction: column;
    height: 19%;
    width: 100%;
    margin-left: 20px;
}
.channels-section .channels-add input {
    width: 80%;
    padding: 5px;
    margin-bottom: 10px;
    border-radius: 10px;
    border: 0;
}
.channels-section .channels-add input:hover {
    box-shadow: 1px 1px 4px rgba(41, 37, 255, 0.842), -1px -1px 4px rgba(41, 37, 255, 0.842);
    padding: 6px;
    border-radius: 11px;
}

.channels-section .channels-add #channel-button{
    width: 80%;
    color: cadetblue;
    background-color: #003f45;
    border-radius: 100px;
    padding: 5px;
    display: flex;
    justify-content: center;
}
.channels-section .channels-add #channel-button:hover {
    border-radius: 100px;
    box-shadow: 2px 2px 5px rgba(31, 129, 22, 0.842), -2px -2px 5px rgba(31, 129, 22, 0.842);
}

/* Message section Css */

.message-section {
    width: 80%;
    background-color: azure;
    display: flex;
    flex-direction: column;
}
.message-section .message-body{
    margin-left: 20px;
    height: 84%; 
}

.message-section .message-body .messages-display{
    margin-top: 10px;
    height: 420px;
    overflow-y: auto;
}

.message-section .message-input {
    margin-left: 20px;
}
.message-section .message-input .user-name {
    width: 100%;
    margin-bottom: 5px;
    margin-top: -5px;
}
.message-section .message-input .user-name label {
    color: #003f45;
}
.message-section .message-input .user-name input {
    padding: 5px;   
    border: 1px solid skyblue;
    border-radius: 10px;
}
.message-section .message-input .user-name input:hover {
    padding: 6px;
    border-radius: 11px;
    box-shadow: 1px 1px 3px rgba(0, 255, 221, 0.897), -1px -1px 3px rgba(0, 255, 221, 0.897);
}

.message-section .message-input .user-name input:hover {
    padding: 5px;
    border-radius: 15px; 
}

.message-section .message-input .message {
    width: 100%;
    display: flex;
    flex-direction: row;
} 

.message-section .message-input .message #message-insert {
    width: 85%;
    padding: 5px;
    border: 1px solid skyblue;
    border-radius: 10px;
}
.message-section .message-input .message #message-insert:hover {
    padding: 5px;
    border-radius: 10px;
    box-shadow: 1px 1px 3px rgba(0, 255, 221, 0.897), -1px -1px 3px rgba(0, 255, 221, 0.897);
}
.message-section .message-input .message .send-button {
    width: 8%;
    color: cadetblue;
    background-color: #003f45;
    border-radius: 100px;
    padding: 10px 5px 5px 5px;
    text-align: center;
    margin-left: 20px;
}
.message-section .message-input .message .send-button:hover {
    padding: 12px 6px 6px 6px;
    border-radius: 100px;
    box-shadow: 2px 2px 5px rgba(31, 129, 22, 0.842), -2px -2px 5px rgba(31, 129, 22, 0.842);
}

.user-class-css {
    text-transform: capitalize;
    font-weight: bold;
    margin-bottom: 5px;
}
.message_inside {
    margin-bottom: 10px;
    
}
